<script>
// Import
import { json } from "d3-fetch";
import { onMount } from "svelte";
import Scatterplot from "./_ex_7_scatterplot.svelte";

// Load the data
let data = null;
onMount(async () => {
    data = await json("/data/gapminder.json");
    data = data[0];
});
</script>

{#if data === null}
    <p>Data is loading...</p>
    {console.log("Data loading")}
{:else}
    <Scatterplot data = {data}/>
{/if}
